
uniform float K;
uniform vec4 translate;
uniform sampler2D tex0;

void main()
{	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	vec4 color = texture2D(tex0, gl_TexCoord[0].st);
	float x = (color.r+color.g+color.b)/3.;
		
	gl_Position = gl_ModelViewProjectionMatrix * (gl_Vertex + vec4(0.,0.,x,0));
	
}

